GNU bug report logs - #46362
got unexpected path `Backtrace:' from substituter

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Severity: important; Reported by: Zhu Zihao <all_but_last@HIDDEN>; dated Sun, 7 Feb 2021 12:43:02 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 46362 <at> debbugs.gnu.org:


Received: (at 46362) by debbugs.gnu.org; 25 Feb 2021 08:21:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 25 03:21:50 2021
Received: from localhost ([127.0.0.1]:36580 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lFBuA-0006LM-3F
	for submit <at> debbugs.gnu.org; Thu, 25 Feb 2021 03:21:50 -0500
Received: from eggs.gnu.org ([209.51.188.92]:43026)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1lFBu7-0006L8-UH
 for 46362 <at> debbugs.gnu.org; Thu, 25 Feb 2021 03:21:48 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:51301)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1lFBu2-0007bj-OR; Thu, 25 Feb 2021 03:21:42 -0500
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=50798 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1lFBu2-0005U7-Cg; Thu, 25 Feb 2021 03:21:42 -0500
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Zhu Zihao <all_but_last@HIDDEN>
Subject: Re: bug#46362: got unexpected path `Backtrace:' from substituter
References: <86a6sgcan1.fsf@HIDDEN>
Date: Thu, 25 Feb 2021 09:21:40 +0100
In-Reply-To: <86a6sgcan1.fsf@HIDDEN> (Zhu Zihao's message of "Sun, 07 Feb
 2021 20:42:10 +0800")
Message-ID: <87eeh41rsb.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hi, Zhu Zihao <all_but_last@HIDDEN> skribis: > This issue
 is similar with https://issues.guix.gnu.org/45828. But it > still not fixed
 in 127a88d390417d5d7b1b4a18c1b69c7169dcaf34. > > When you have multiple
 substituters, Guix will try to fetch na [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [209.51.188.92 listed in list.dnswl.org]
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: mirror.c1r3u.xyz (xyz)]
X-Debbugs-Envelope-To: 46362
Cc: 46362 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

Hi,

Zhu Zihao <all_but_last@HIDDEN> skribis:

> This issue is similar with https://issues.guix.gnu.org/45828. But it
> still not fixed in 127a88d390417d5d7b1b4a18c1b69c7169dcaf34.
>
> When you have multiple substituters, Guix will try to fetch narinfo from
> the second or even third substituters, and it dies.
>
> ```
> chino@asus-laptop:~$ guix build opencv --substitute-urls=3D"https://mirro=
r.sjtu.edu.cn/guix https://mirror.guix.org.cn https://mirror.c1r3u.xyz http=
s://ci.guix.gnu.org"
> substitute: updating substitutes from 'https://mirror.sjtu.edu.cn/guix'..=
. 100.0%
> substitute:=20
> guix build: error: got unexpected path `Backtrace:' from substituter
> ```

Commit ee3226e9d54891c7e696912245e4904435be191c addresses the
error-reporting issue: now the backtrace will be properly displayed (we
still need to update the =E2=80=98guix=E2=80=99 package before you can depl=
oy the fix.)

> If there's one substituter, it will work and do the substitution.

Did you find out which of these substitute URLs is causing troubles?  I
tried the exact same command and it works for me.

Thanks,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#46362; Package guix. Full text available.
Severity set to 'important' from 'normal' Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 7 Feb 2021 12:43:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 07 07:42:59 2021
Received: from localhost ([127.0.0.1]:47037 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l8jOy-0001FT-GS
	for submit <at> debbugs.gnu.org; Sun, 07 Feb 2021 07:42:59 -0500
Received: from lists.gnu.org ([209.51.188.17]:36800)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <all_but_last@HIDDEN>) id 1l8jOx-0001FM-48
 for submit <at> debbugs.gnu.org; Sun, 07 Feb 2021 07:42:56 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:54780)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <all_but_last@HIDDEN>)
 id 1l8jOu-0003If-G4
 for bug-guix@HIDDEN; Sun, 07 Feb 2021 07:42:54 -0500
Received: from m12-14.163.com ([220.181.12.14]:57369)
 by eggs.gnu.org with esmtps (TLS1.2:DHE_RSA_AES_256_CBC_SHA1:256)
 (Exim 4.90_1) (envelope-from <all_but_last@HIDDEN>)
 id 1l8jOf-0005L3-BM
 for bug-guix@HIDDEN; Sun, 07 Feb 2021 07:42:45 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=163.com;
 s=s110527; h=From:Subject:Date:Message-ID:MIME-Version; bh=sAAAU
 xsup8GtfT+OmjMo/bM0R6NLgDWWyrcBQbc9NzY=; b=dlPI3IcBoTuKkaAjXi2vl
 oaszm/TDyBvSWCa115CgBmnupe98ZlvubzaH4cTnovBZVWG1BwCh7/3O359Dbio3
 5Bm7u+mghJ9eVCOfQJsIFZN3gjyqKHdF4osJyJEhZHZi5M4FAzjin+lzpJO0t84x
 FzrIpKqNDc6ujTEuURTeKI=
Received: from asus-laptop (unknown [113.100.122.217])
 by smtp10 (Coremail) with SMTP id DsCowAAn8Hgn4B9gcoKcjw--.1942S2;
 Sun, 07 Feb 2021 20:42:16 +0800 (CST)
User-agent: mu4e 1.4.14; emacs 27.1
From: Zhu Zihao <all_but_last@HIDDEN>
To: bug-guix@HIDDEN
Subject: got unexpected path `Backtrace:' from substituter
Date: Sun, 07 Feb 2021 20:42:10 +0800
Message-ID: <86a6sgcan1.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-CM-TRANSID: DsCowAAn8Hgn4B9gcoKcjw--.1942S2
X-Coremail-Antispam: 1Uf129KBjvdXoW7JF4kCrW5tF45Xw15WF45ZFb_yoW3urg_Wr
 1ay3y5Xry8Cr47Xay8WFW3Jr97C3y8X3Wqyr4YgrnrCa4jv3W5JFs7uryrXa43WF4agFyj
 vw43K34DAa1SqjkaLaAFLSUrUUUUUb8apTn2vfkv8UJUUUU8Yxn0WfASr-VFAUDa7-sFnT
 9fnUUvcSsGvfC2KfnxnUUI43ZEXa7IU0XJ55UUUUU==
X-Originating-IP: [113.100.122.217]
X-CM-SenderInfo: pdoosuxxwbztlvw6il2tof0z/1tbitAkyr1SIkXVumQAAsv
Received-SPF: pass client-ip=220.181.12.14; envelope-from=all_but_last@HIDDEN;
 helo=m12-14.163.com
X-Spam_score_int: 0
X-Spam_score: -0.1
X-Spam_bar: /
X-Spam_report: (-0.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 PDS_OTHER_BAD_TLD=1.997, RCVD_IN_DNSWL_NONE=-0.0001, RCVD_IN_MSPIKE_H3=-0.01,
 RCVD_IN_MSPIKE_WL=-0.01, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 2.6 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: This issue is similar with https://issues.guix.gnu.org/45828.
 But it still not fixed in 127a88d390417d5d7b1b4a18c1b69c7169dcaf34. When
 you have multiple substituters, Guix will try to fetch narinfo from the second
 or even third substituters, and it dies. 
 Content analysis details:   (2.6 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -2.3 RCVD_IN_DNSWL_MED      RBL: Sender listed at https://www.dnswl.org/,
 medium trust [209.51.188.17 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H4      RBL: Very Good reputation (+4)
 [209.51.188.17 listed in wl.mailspike.net]
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (all_but_last[at]163.com)
 0.9 SPF_FAIL               SPF: sender does not match SPF record (fail)
 [SPF failed: Please see http://www.openspf.org/Why?s=mfrom;
 id=all_but_last%40163.com; ip=209.51.188.17; r=debbugs.gnu.org]
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: mirror.c1r3u.xyz (xyz)]
 -0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 2.0 SPOOFED_FREEMAIL       No description available.
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.4 (/)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable


This issue is similar with https://issues.guix.gnu.org/45828. But it
still not fixed in 127a88d390417d5d7b1b4a18c1b69c7169dcaf34.

When you have multiple substituters, Guix will try to fetch narinfo from
the second or even third substituters, and it dies.

```
chino@asus-laptop:~$ guix build opencv --substitute-urls=3D"https://mirror.=
sjtu.edu.cn/guix https://mirror.guix.org.cn https://mirror.c1r3u.xyz https:=
//ci.guix.gnu.org"
substitute: updating substitutes from 'https://mirror.sjtu.edu.cn/guix'... =
100.0%
substitute:=20
guix build: error: got unexpected path `Backtrace:' from substituter
```

If there's one substituter, it will work and do the substitution.
=2D-=20
Retrieve my PGP public key:

  gpg --recv-keys D47A9C8B2AE3905B563D9135BE42B352A9F6821F

Zihao

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIsEARYIADMWIQTUepyLKuOQW1Y9kTW+QrNSqfaCHwUCYB/gIxUcYWxsX2J1dF9s
YXN0QDE2My5jb20ACgkQvkKzUqn2gh8rEQEAq+HkamvgiP8oj9q6gfbtrO3WdlWV
s5Y1bRBz1b8OMNwBAL3pDtTdm3PaC4KCSUEO94a2t0Mj4mR/0kB2FM3E1bwC
=EtzF
-----END PGP SIGNATURE-----
--=-=-=--





Acknowledgement sent to Zhu Zihao <all_but_last@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#46362; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 25 Feb 2021 08:30:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.